#ifndef BILLYSHEET_ADRESSE_HPP
#define BILLYSHEET_ADRESSE_HPP

#include "characteristic.hpp"
#include <nlohmann/json.hpp>

using json = nlohmann::json;

namespace character::characteristic {
    class Adresse final : public Characteristic {
    public:
        Adresse() noexcept: Characteristic(1, 0, 0, 0) {}

        ~Adresse() noexcept final = default;

        friend void from_json(const json &j, Adresse &adresse) {
            nlohmann::from_json(j, static_cast<Characteristic &>(adresse));
        }
    };

    static void to_json(json &j, const Adresse &adresse) {
        to_json(j, static_cast<Characteristic>(adresse));
    }
}


#endif //BILLYSHEET_ADRESSE_HPP
